Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.lang
Class Short

    java.lang.Object
      |
      +--java.lang.Number
            |
            +--java.lang.Short

All Implemented Interfaces:
  Comparable, Serializable

public final class Short
extends Number
implements Comparable

The Short class is the standard wrapper for short values.

Since:
  JDK1.1
See Also:
  `Number`, Serialized Form

Field Summary
`static short` | `MAX_VALUE` The maximum value a Short can have.
`static short` | `MIN_VALUE` The minimum value a Short can have.
`static Class` | `TYPE` The Class object representing the primitive type short.

Constructor Summary
`Short(short value)` Constructs a Short object initialized to the specified short value.
`Short(String s)` Constructs a Short object initialized to the value specified by the String parameter.

Method Summary
`byte` | `byteValue()` Returns the value of this Short as a byte.
`int` | `compareTo(Object o)` Compares this Short to another Object.
`int` | `compareTo(Short anotherShort)` Compares two Shorts numerically.
`static Short` | `decode(String nm)` Decodes a `String` into a `Short`.
`double` | `doubleValue()` Returns the value of this Short as a double.
`boolean` | `equals(Object obj)` Compares this object to the specified object.
`float` | `floatValue()` Returns the value of this Short as a float.
`int` | `hashCode()` Returns a hashcode for this Short.
`int` | `intValue()` Returns the value of this Short as an int.
`long` | `longValue()` Returns the value of this Short as a long.
`static short` | `parseShort(String s)` Assuming the specified String represents a short, returns that short's value.
`static short` | `parseShort(String s, int radix)` Assuming the specified String represents a short, returns that short's value.
`short` | `shortValue()` Returns the value of this Short as a short.
`String` | `toString()` Returns a String object representing this Short's value.
`static String` | `toString(short s)` Returns a new String object representing the specified Short.
`static Short` | `valueOf(String s)` Assuming the specified String represents a short, returns a new Short object initialized to that value.
`static Short` | `valueOf(String s, int radix)` Assuming the specified String represents a short, returns a new Short object initialized to that value.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### MIN_VALUE

    public static final short MIN_VALUE

  The minimum value a Short can have.

### MAX_VALUE

    public static final short MAX_VALUE

  The maximum value a Short can have.

### TYPE

    public static final Class TYPE

  The Class object representing the primitive type short.

Constructor Detail

### Short

    public Short(short value)

  Constructs a Short object initialized to the specified short value.
  Parameters:
    `value` - the initial value of the Short

### Short

    public Short(String s)
          throws NumberFormatException

  Constructs a Short object initialized to the value specified by the String parameter. The radix is assumed to be 10.
  Parameters:
    `s` - the String to be converted to a Short
  Throws:
    `NumberFormatException` - If the String does not contain a parsable short.

Method Detail

### toString

    public static String toString(short s)

  Returns a new String object representing the specified Short. The radix is assumed to be 10.
  Parameters:
    `s` - the short to be converted
  Returns:
    The String that represents the specified short in radix 10.

### parseShort

    public static short parseShort(String s)
                            throws NumberFormatException

  Assuming the specified String represents a short, returns that short's value. Throws an exception if the String cannot be parsed as a short. The radix is assumed to be 10.
  Parameters:
    `s` - the String containing the short
  Returns:
    short the value represented by the specified string
  Throws:
    `NumberFormatException` - If the string does not contain a parsable short.

### parseShort

    public static short parseShort(String s,
                                   int radix)
                            throws NumberFormatException

  Assuming the specified String represents a short, returns that short's value. Throws an exception if the String cannot be parsed as a short.
  Parameters:
    `s` - the String containing the short
    `radix` - the radix to be used
  Returns:
    The short value represented by the specified string in the specified radix.
  Throws:
    `NumberFormatException` - If the String does not contain a parsable short.

### valueOf

    public static Short valueOf(String s,
                                int radix)
                         throws NumberFormatException

  Assuming the specified String represents a short, returns a new Short object initialized to that value. Throws an exception if the String cannot be parsed as a short.
  Parameters:
    `s` - the String containing the integer
    `radix` - the radix to be used
  Returns:
    The Short value represented by the specified string in the specified radix.
  Throws:
    `NumberFormatException` - If the String does not contain a parsable short.

### valueOf

    public static Short valueOf(String s)
                         throws NumberFormatException

  Assuming the specified String represents a short, returns a new Short object initialized to that value. Throws an exception if the String cannot be parsed as a short.
  Parameters:
    `s` - the String containing the integer
  Returns:
    Short of the value represented by the specified string in radix 10.
  Throws:
    `NumberFormatException` - If the String does not contain a parsable short.

### decode

    public static Short decode(String nm)
                        throws NumberFormatException

  Decodes a `String` into a `Short`. Accepts decimal, hexadecimal, and octal numbers, in the following formats:

           [-]        decimal constant
           [-] 0x     hex constant
           [-] #      hex constant
           [-] 0      octal constant

  The constant following an (optional) negative sign and/or "radix specifier" is parsed as by the `Short.parseShort` method with the specified radix (10, 8 or 16). This constant must be positive or a NumberFormatException will result. The result is made negative if first character of the specified `String` is the negative sign. No whitespace characters are permitted in the `String`.
  Parameters:
    `nm` - the `String` to decode.
  Returns:
    the `Short` represented by the specified string.
  Throws:
    `NumberFormatException` - if the `String` does not contain a parsable short.
  See Also:
    `parseShort(String, int)`

### byteValue

    public byte byteValue()

  Returns the value of this Short as a byte.
  Overrides:
    `byteValue` in class `Number`
  Following copied from class: `java.lang.Number`
  Returns:
    the numeric value represented by this object after conversion to type `byte`.

### shortValue

    public short shortValue()

  Returns the value of this Short as a short.
  Overrides:
    `shortValue` in class `Number`
  Following copied from class: `java.lang.Number`
  Returns:
    the numeric value represented by this object after conversion to type `short`.

### intValue

    public int intValue()

  Returns the value of this Short as an int.
  Overrides:
    `intValue` in class `Number`
  Following copied from class: `java.lang.Number`
  Returns:
    the numeric value represented by this object after conversion to type `int`.

### longValue

    public long longValue()

  Returns the value of this Short as a long.
  Overrides:
    `longValue` in class `Number`
  Following copied from class: `java.lang.Number`
  Returns:
    the numeric value represented by this object after conversion to type `long`.

### floatValue

    public float floatValue()

  Returns the value of this Short as a float.
  Overrides:
    `floatValue` in class `Number`
  Following copied from class: `java.lang.Number`
  Returns:
    the numeric value represented by this object after conversion to type `float`.

### doubleValue

    public double doubleValue()

  Returns the value of this Short as a double.
  Overrides:
    `doubleValue` in class `Number`
  Following copied from class: `java.lang.Number`
  Returns:
    the numeric value represented by this object after conversion to type `double`.

### toString

    public String toString()

  Returns a String object representing this Short's value.
  Overrides:
    `toString` in class `Object`
  Following copied from class: `java.lang.Object`
  Returns:
    a string representation of the object.

### hashCode

    public int hashCode()

  Returns a hashcode for this Short.
  Overrides:
    `hashCode` in class `Object`
  Following copied from class: `java.lang.Object`
  Returns:
    a hash code value for this object.
  See Also:
    `Object.equals(java.lang.Object)`, `Hashtable`

### equals

    public boolean equals(Object obj)

  Compares this object to the specified object.
  Overrides:
    `equals` in class `Object`
  Parameters:
    `obj` - the object to compare with
  Returns:
    true if the objects are the same; false otherwise.

### compareTo

    public int compareTo(Short anotherShort)

  Compares two Shorts numerically.
  Parameters:
    `anotherShort` - the `Short` to be compared.
  Returns:
    the value `0` if the argument Short is equal to this Short; a value less than `0` if this Short is numerically less than the Short argument; and a value greater than `0` if this Short is numerically greater than the Short argument (signed comparison).
  Since:
    1.2

### compareTo

    public int compareTo(Object o)

  Compares this Short to another Object. If the Object is a Short, this function behaves like `compareTo(Short)`. Otherwise, it throws a `ClassCastException` (as Shorts are comparable only to other Shorts).
  Specified by:
    `compareTo` in interface `Comparable`
  Parameters:
    `o` - the `Object` to be compared.
  Returns:
    the value `0` if the argument is a Short numerically equal to this Short; a value less than `0` if the argument is a Short numerically greater than this Short; and a value greater than `0` if the argument is a Short numerically less than this Short.
  Throws:
    ``ClassCastException`` - if the argument is not a `Short`.
  Since:
    1.2
  See Also:
    `Comparable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.